<?php

header( 'Cache-control: no cache' );

$mirrors = array(
### MIRRORS-BEGIN ###
"http://mirror.internode.on.net/pub/eclipse", "Australia", "iiNet Limited",
"http://eclipse.c3sl.ufpr.br", "Brazil", "C3SL - Federal University of Parana",
"http://mirror.nbtelecom.com.br/eclipse", "Brazil", "NB Telecom",
"https://download.eclipse.org", "Canada", "<b>Main eclipse.org download area</b>",
"http://eclipse.mirror.rafal.ca", "Canada", "Rafal Rzeczkowski",
"http://mirror.csclub.uwaterloo.ca/eclipse", "Canada", "University of Waterloo Computer Science Club",
"http://mirrors.neusoft.edu.cn/eclipse", "China", "Dalian Neusoft University of Information",
"https://mirrors.tuna.tsinghua.edu.cn/eclipse", "China", "TUNA",
"http://mirrors.ustc.edu.cn/eclipse", "China", "University of Science and Technology of China",
"http://mirrors.uniri.hr/eclipse", "Croatia (Hrvatska)", "University of Rijeka",
"http://mirror.library.ucy.ac.cy/eclipse", "Cyprus", "University of Cyprus, Library",
"http://mirrors.nic.cz/eclipse", "Czech Republic", "CZ.NIC",
"http://mirror.dkm.cz/eclipse", "Czech Republic", "UPC Ceska republika, a.s.",
"https://mirrors.dotsrc.org/eclipse", "Denmark", "dotsrc.org",
"http://mirror.ibcp.fr/pub/eclipse", "France", "CNRS IBCP",
"http://ftp.halifax.rwth-aachen.de/eclipse", "Germany", "RWTH Aachen University",
"http://ftp-stud.fht-esslingen.de/pub/Mirrors/eclipse", "Germany", "University of Applied Sciences Esslingen",
"http://ftp.fau.de/eclipse", "Germany", "University of Erlangen-Nuremberg",
"http://eclipse.mirrors.estointernet.in", "India", "Esto Internet",
"http://ftp.jaist.ac.jp/pub/eclipse", "Japan", "Japan Advanced Institute of Science and Technology",
"http://ftp.yz.yamagata-u.ac.jp/pub/eclipse", "Japan", "Yamagata University",
"http://ftp.daumkakao.com/eclipse", "Korea, Republic Of", "Daum Kakao Corp.",
"https://ftp.harukasan.org/eclipse", "Korea, Republic Of", "Harukasan",
"http://ftp.kaist.ac.kr/eclipse", "Korea, Republic Of", "KAIST",
"http://mirror.kakao.com/eclipse", "Korea, Republic Of", "Kakao Corp.",
"http://ftp.snt.utwente.nl/pub/software/eclipse", "Netherlands", "SNT, University of Twente",
"http://mirror.lagoon.nc/pub/eclipse", "New Caledonia", "LAGOON",
"http://mirror.rise.ph/eclipse", "Philippines", "RISE",
"http://mirror.rise.ph/eclipse", "Philippines", "Rise",
"http://mirror.tspu.ru/eclipse", "Russian Federation", "Tomsk State Pedagogical University",
"http://mirror.ufs.ac.za/eclipse", "South Africa", "University of the Free State",
"https://ftp.acc.umu.se/mirror/eclipse.org", "Sweden", "Academic Computer Club, Umea University",
"http://ftp.linux.org.tr/eclipse", "Turkey", "Linux Kullanicilari Dernegi",
"http://www.mirrorservice.org/sites/download.eclipse.org/eclipseMirror", "United Kingdom", "UK Mirror Service",
"http://mirror.cc.columbia.edu/pub/software/eclipse", "United States", "Columbia University",
"http://www.gtlib.gatech.edu/pub/eclipse", "United States", "Georgia Tech Software Library",
"http://mirrors.ibiblio.org/eclipse", "United States", "ibiblio",
"http://ftp.ussg.iu.edu/eclipse", "United States", "Indiana University",
"http://ftp.osuosl.org/pub/eclipse", "United States", "OSU Open Source Lab",
"http://mirror.math.princeton.edu/pub/eclipse", "United States", "Princeton University Mathematics",
"http://mirrors.syringanetworks.net/eclipse", "United States", "Syringa Networks",
"http://mirror.umd.edu/eclipse", "United States", "University of Maryland",
"http://mirror.cc.vt.edu/pub/eclipse", "United States", "Virginia Tech",
"http://mirrors.xmission.com/eclipse", "United States", "XMission Internet",
"http://downloads.yoctoproject.org/eclipse-full", "United States", "Yocto Project",
"http://espejito.fder.edu.uy/eclipse", "Uruguay", "Facultad de Derecho - UdelaR",
### MIRRORS-END ###
);

$location = htmlentities($_GET["location"]);
$links = "";
$i = 1;
for ($i = 0; $i < count($mirrors); $i += 3)
{
  $links .= "  <tr><td style='padding-right: 2em;'>" . $mirrors[$i + 1] ."</td><td style='padding-right: 2em;'>" .$mirrors[$i + 2] . "</td><td><a href='" . $mirrors[$i] . "/" . $location . "'>" . $mirrors[$i] . "/" . $location . "</a></td></tr>\n";
}

$html = <<<EOHTML
<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 3.2 Final//EN\">
<html>
<head>
  <title>
  </title>
</head>
<body>
<h2>
Choose a mirror on which to browse the folder: <span style='color: DarkOrange;'>$location</span>
</h2>
<table>
  <tr><th style='text-align: left;'>Location</th><th style='text-align: left;'>Description</th><th style='text-align: left;'>URL</th></tr>
$links
<table/>
</body>
</html>
EOHTML;

echo $html;

?>
